[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: correctly get exit code

Holger Levsen holger at layer-acht.org
Tue Jun 20 17:33:44 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 3a2e3b9055b802dbc1f08e8935d486b28b834e51
Author: Holger Levsen <holger at layer-acht.org>
Date:   Tue Jun 20 19:33:38 2017 +0200

    reproducible Debian: correctly get exit code
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_node_health_check.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 2e13f4d..4113958 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -78,7 +78,8 @@ fi
 # check for hanging mounts
 #
 echo "$(date -u) - testing whether running 'mount' takes forever..."
-TIMEOUT=$(timeout 15 mount)
+timeout 15 mount
+TIMEOUT=$?
 if [ $TIMEOUT -ne 0 ] ; then
 	echo "$(date -u) - running 'mount' takes forever, giving up."
 	exit 1

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list